Method: projects.locations.apps.conversations.generateEvaluation

Creates a golden evaluation from a conversation.

HTTP request

POST https://ces.googleapis.com/v1beta/{conversation=projects/*/locations/*/apps/*/conversations/*}:generateEvaluation

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
conversation

string

Required. The conversation to create the golden evaluation for. Format: projects/{project}/locations/{location}/apps/{app}/conversations/{conversation}

Request body

The request body contains data with the following structure:

JSON representation
{
  "source": enum (Conversation.Source),
  "evaluationType": enum (GenerateEvaluationRequest.EvaluationType)
}
Fields
source
(deprecated)

enum (Conversation.Source)

Optional. Indicate the source of the conversation. If not set, all sources will be searched.

evaluationType

enum (GenerateEvaluationRequest.EvaluationType)

Optional. The type of evaluation to generate. Defaults to GOLDEN if unspecified.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/ces

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the conversation resource:

  • ces.conversations.get

For more information, see the IAM documentation.

GenerateEvaluationRequest.EvaluationType

The type of evaluation to generate.

Enums
EVALUATION_TYPE_UNSPECIFIED Unspecified type. Defaults to GOLDEN.
GOLDEN Golden evaluation.
SCENARIO Scenario evaluation.